API ReferenceapiidentityPOST /v1/webhooks/workos/auth-emails

POST /v1/webhooks/workos/auth-emails

Service: identity · operationId: (none)

WorkOS authentication email bridge

Required scopes

(no scope declared — review service config)

Request body

{
  "type": "object",
  "properties": {
    "id": {
      "type": "string"
    },
    "event": {
      "type": "string"
    },
    "data": {
      "type": "object",
      "additionalProperties": {}
    },
    "created_at": {
      "type": "string",
      "format": "date-time"
    }
  },
  "required": [
    "id",
    "event",
    "data"
  ]
}

Responses

200 Webhook accepted

{
  "type": "object",
  "properties": {
    "published": {
      "type": "string"
    }
  },
  "required": [
    "published"
  ]
}

401 Invalid WorkOS signature

422 Unsupported or invalid payload

Example

curl -X POST https://identity.platform.loop.health/v1/webhooks/workos/auth-emails \
  -H "Authorization: Bearer $ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{ ... }'